Package commoble.morered.client

# Class GatecraftingScreen

java.lang.Object
net.minecraft.client.gui.GuiComponent
net.minecraft.client.gui.components.events.AbstractContainerEventHandler
net.minecraft.client.gui.screens.Screen
net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>
commoble.morered.client.GatecraftingScreen

All Implemented Interfaces:
  `net.minecraft.client.gui.components.events.ContainerEventHandler`, `net.minecraft.client.gui.components.events.GuiEventListener`, `net.minecraft.client.gui.components.Widget`, `net.minecraft.client.gui.screens.inventory.MenuAccess<GatecraftingMenu>`

public class GatecraftingScreen extends net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GatecraftingScreen.GatecraftingScrollPanel`
`static class`
`GatecraftingScreen.RecipeButton`

## Nested classes/interfaces inherited from class net.minecraft.client.gui.screens.Screen

`net.minecraft.client.gui.screens.Screen.NarratableSearchResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceLocation`
`CRAFTING_SCREEN`
`static final int`
`SCROLLPANEL_HEIGHT`
`static final int`
`SCROLLPANEL_WIDTH`
`static final int`
`SCROLLPANEL_X`
`static final int`
`SCROLLPANEL_Y`
`static final net.minecraft.resources.ResourceLocation`
`TRADING_SCREEN`

### Fields inherited from class net.minecraft.client.gui.screens.inventory.AbstractContainerScreen

`hoveredSlot, imageHeight, imageWidth, INVENTORY_LOCATION, inventoryLabelX, inventoryLabelY, isQuickCrafting, leftPos, menu, playerInventoryTitle, quickCraftSlots, SLOT_ITEM_BLIT_OFFSET, slotColor, titleLabelX, titleLabelY, topPos`

### Fields inherited from class net.minecraft.client.gui.screens.Screen

`font, height, itemRenderer, minecraft, passEvents, renderables, title, width`

### Fields inherited from class net.minecraft.client.gui.GuiComponent

`BACKGROUND_LOCATION, GUI_ICONS_LOCATION, STATS_ICON_LOCATION`

### Fields inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`DOUBLE_CLICK_THRESHOLD_MS`

## Constructor Summary

Constructors
Constructor
Description
`GatecraftingScreen(GatecraftingMenu screenContainer, net.minecraft.world.entity.player.Inventory inv, net.minecraft.network.chat.Component titleIn)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
`boolean`
`mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)`
`void`
`render(com.mojang.blaze3d.vertex.PoseStack matrix, int mouseX, int mouseY, float partialTicks)`
`protected void`
`renderBg(com.mojang.blaze3d.vertex.PoseStack matrix, float partialTicks, int mouseX, int mouseY)`
`void`
`renderItemStack(net.minecraft.world.item.ItemStack stack, int x, int y)`
`protected void`
`renderLabels(com.mojang.blaze3d.vertex.PoseStack poseStack, int mouseX, int mouseY)`
`protected void`
`renderTooltip(com.mojang.blaze3d.vertex.PoseStack matrix, int mouseX, int mouseY)`

### Methods inherited from class net.minecraft.client.gui.screens.inventory.AbstractContainerScreen

`checkHotbarKeyPressed, clearDraggingState, containerTick, getGuiLeft, getGuiTop, getMenu, getSlotColor, getSlotUnderMouse, getXSize, getYSize, hasClickedOutside, isHovering, isPauseScreen, keyPressed, mouseClicked, mouseReleased, onClose, removed, renderSlotHighlight, renderSlotHighlight, slotClicked, tick`

### Methods inherited from class net.minecraft.client.gui.screens.Screen

`addRenderableOnly, addRenderableWidget, addWidget, afterKeyboardAction, afterMouseAction, afterMouseMove, children, clearWidgets, findNarratableWidget, getMinecraft, getNarrationMessage, getTitle, getTooltipFromItem, handleComponentClicked, handleDelayedNarration, hasAltDown, hasControlDown, hasShiftDown, hideWidgets, init, insertText, isCopy, isCut, isMouseOver, isPaste, isSelectAll, isValidCharacterForName, narrationEnabled, onFilesDrop, rebuildWidgets, removeWidget, renderBackground, renderBackground, renderComponentHoverEffect, renderComponentTooltip, renderComponentTooltip, renderComponentTooltip, renderComponentTooltip, renderDirtBackground, renderTooltip, renderTooltip, renderTooltip, renderTooltip, renderTooltip, renderTooltip, renderTooltip, renderTooltip, resize, shouldCloseOnEsc, triggerImmediateNarration, updateNarratedWidget, updateNarrationState, wrapScreenError`

### Methods inherited from class net.minecraft.client.gui.components.events.AbstractContainerEventHandler

`getFocused, isDragging, setDragging, setFocused`

### Methods inherited from class net.minecraft.client.gui.GuiComponent

`blit, blit, blit, blit, blit, blitOutlineBlack, disableScissor, drawCenteredString, drawCenteredString, drawCenteredString, drawString, drawString, drawString, enableScissor, fill, fillGradient, fillGradient, fillGradient, getBlitOffset, hLine, setBlitOffset, vLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.gui.components.events.ContainerEventHandler

`changeFocus, charTyped, getChildAt, keyReleased, magicalSpecialHackyFocus, mouseScrolled, setInitialFocus`

### Methods inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`mouseMoved`

## Field Details

### TRADING_SCREEN

public static final net.minecraft.resources.ResourceLocation TRADING_SCREEN

### CRAFTING_SCREEN

public static final net.minecraft.resources.ResourceLocation CRAFTING_SCREEN

### SCROLLPANEL_X

public static final int SCROLLPANEL_X

See Also:
  - Constant Field Values

### SCROLLPANEL_Y

public static final int SCROLLPANEL_Y

See Also:
  - Constant Field Values

### SCROLLPANEL_WIDTH

public static final int SCROLLPANEL_WIDTH

See Also:
  - Constant Field Values

### SCROLLPANEL_HEIGHT

public static final int SCROLLPANEL_HEIGHT

See Also:
  - Constant Field Values

## Constructor Details

### GatecraftingScreen

public GatecraftingScreen(GatecraftingMenu screenContainer, net.minecraft.world.entity.player.Inventory inv, net.minecraft.network.chat.Component titleIn)

## Method Details

### init

public void init()

Overrides:
  `init` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>`

### render

public void render(com.mojang.blaze3d.vertex.PoseStack matrix, int mouseX, int mouseY, float partialTicks)

Specified by:
  `render` in interface `net.minecraft.client.gui.components.Widget`
Overrides:
  `render` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>`

### renderLabels

protected void renderLabels(com.mojang.blaze3d.vertex.PoseStack poseStack, int mouseX, int mouseY)

Overrides:
  `renderLabels` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>`

### renderItemStack

public void renderItemStack(net.minecraft.world.item.ItemStack stack, int x, int y)

### renderTooltip

protected void renderTooltip(com.mojang.blaze3d.vertex.PoseStack matrix, int mouseX, int mouseY)

Overrides:
  `renderTooltip` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>`

### renderBg

protected void renderBg(com.mojang.blaze3d.vertex.PoseStack matrix, float partialTicks, int mouseX, int mouseY)

Specified by:
  `renderBg` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>`

### mouseDragged

public boolean mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)

Specified by:
  `mouseDragged` in interface `net.minecraft.client.gui.components.events.ContainerEventHandler`
Specified by:
  `mouseDragged` in interface `net.minecraft.client.gui.components.events.GuiEventListener`
Overrides:
  `mouseDragged` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<GatecraftingMenu>`